From 4de3481d47b048c5704126a8b84734cd01eeb98b Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 19 2020 22:48:55 +0000
Subject: [PATCH 1457/2232] Catch str as a reserved type name


---

diff --git a/syntax/check.rs b/syntax/check.rs
index b0ac66e..f029e0a 100644
--- a/syntax/check.rs
+++ b/syntax/check.rs
@@ -395,6 +395,7 @@ fn check_reserved_name(cx: &mut Check, ident: &Ident) {
         || ident == "UniquePtr"
         || ident == "Vec"
         || ident == "CxxVector"
+        || ident == "str"
         || Atom::from(ident).is_some()
     {
         cx.error(ident, "reserved name");

